Bug 477296

Summary: Poor Graphic of On-Screen Volume Adjustment for Laptops
Product: [Fedora] Fedora Reporter: Jean-Philippe <jph>
Component: hicolor-icon-themeAssignee: David Zeuthen <davidz>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 10CC: bnocera, davidz, lkundrak, mclasen, pierre-bugzilla, rstrode
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 02:20:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Screenshot to support my findings none

Description Jean-Philippe 2008-12-19 23:50:25 EST
Created attachment 327523 [details]
Screenshot to support my findings

Description of problem:

On-Screen display of sound volume on laptop screens is blurry, ugly

Version-Release number of selected component (if applicable):

Fedora 10 - was perfect, crisp and detailed with F9

How reproducible:

Choose any install media (liveCD, txt-installDVD,...) they do the same.

Steps to Reproduce:
1. Assign ctrl-F10-11-12 to the sound volume Mute-Down-Up
2. Use it
3. See the poor on-screen result
  
Actual results:
Poor, blurry graphic

Expected results:
Crisp, like the one for Laptop Brightness

Additional info:
Screenshot attached.
Comment 1 Lennart Poettering 2008-12-20 16:02:08 EST
This is unrelated to PA.
Comment 2 Jean-Philippe 2008-12-27 07:33:48 EST
(In reply to comment #1)
> This is unrelated to PA.

What's PA? If you mean I should report somewhere else, please quote so in extenso.
Comment 3 Lennart Poettering 2009-01-02 06:42:46 EST
PA is PulseAudio.

The bug is now reassigned to g-s-d, you don't need to do anything.
Comment 4 Bastien Nocera 2009-01-05 06:24:03 EST
Seems to me that the icon theme you're using doesn't have a scalable image for that icon. Which icon theme are you using? Is it provided by a Fedora package?
Comment 5 Jean-Philippe 2009-01-05 06:49:38 EST
Bonjour.

I am using Gdm/Gnome, with the kde background and theme; original from gnome theme manager (Don't ask! I know it sounds silly!) - nodoka controls and borders, nuvola icons.

Only the few desktop icons are a special job, added separately and not as a "full theme" or "icons set" of sorts, over each hand-made shortcuts that I like to have at hand.

Lookinjg for this info, I just discovered that it is DesktopEffects the main culprit, if I disable "enable desktop effect" it is then a little rectangular, crisp and neat object (the same for laptop screen brightness) that appears. The big, unscaled ugly one only appears when I enable the desktop effects.

Sorry then; I am guessing you will have to pass the bicket along to the compiz folks!

Cheers, thanks for your time.

Jean-Philippe.
Comment 6 Bastien Nocera 2009-01-05 07:26:25 EST
This is a bug in the nuvola icon theme. It should inherit from the "gnome" theme, not just hicolor, or add icons for volume.

You can check whether that works by adding ",gnome" to the inherits line in the nuvola's index.theme file, and running "gtk-update-icon-cache -f /path/to/the/icon/theme".
Comment 7 Jean-Philippe 2009-01-05 09:53:01 EST
List of "unclean" themes:

-Crystal SVG
-Kids
-Monochrome
-Nuvola
-Oxygen
-Slick Icons

List of "Clean" themes (ie, the sound icon on screen is crisp):

-Crux
-Fedora
-Gnome
-All 3 High Contrast
-iKons
-KDE-Classic
-KDE-LoColor
-Mist
-OLPC
-Rodent

This is all with Compiz turned _ON_ via "Enable Desktop Effects"

If I disable, all is fine again with smaller icons. Repetitively switching effects on/off + swapping icons crashed the laptop BTW, beyond ctrl-alt-F2/6 or ctrl-alt-backspace.

The recommended procedure didn't bring any change, but it's a bit out of my usual league:

vi /usr/share/icons/nuvola/index.theme

=> found &  did Inherits=hicolor,gnome            [added ',gnome']

then

gtk-update-icon-cache - f /usr/share/icons/nuvola/
=>returned an OK message.

&& I restarted X & switched icons to no avail.

Thanks

Jean-Philippe
Comment 8 Bastien Nocera 2009-01-05 18:23:02 EST
gtk-update-icon-cache -f /usr/share/icons/nuvola/
not
gtk-update-icon-cache -f /usr/share/icons/nuvola/

And you need to run it as root as well, otherwise the cache can't be updated.

The reason it only looks bad when compiz is on is because it's a different (and nicer) popup showing up when compositing support is on. You could see the same thing using metacity or xfwm's compositor.

Feel free to file a bug against whichever theme you use, I don't see nuvola as being shipped by Fedora, so you'd have to report the problem upstream.
Comment 9 Jean-Philippe 2009-01-05 22:21:20 EST
Hi Bastien, thanks for your time.

Shall I open another bug? Crystal and Oxygen doesn't work as well, and AFAIK they are fedora-provided standard icon themes, don't they?

the space between '-' and 'f' in
gtk-update-icon-cache - f /usr/share/icons/nuvola/
was a mistypo in this message, if I had made this mistake on the laptop I _wouldn't_ have an OK output from the command.

As requested, on a standard, bad-looking icon set:
[root@F9E ~]# vi /usr/share/icons/crystalsvg/index.theme
[]
Inherits=hicolor,gnome
[]

Doing (copy/paste from terminal):
[root@F9E ~]# gtk-update-icon-cache -f /usr/share/icons/crystalsvg/

Returns (copy/paste from terminal):
gtk-update-icon-cache: Cache file created successfully.

restart X (the bad way, ctrl-alt-bksp)

=> Same old bad unscaled icon.

Full shutdown + restart (not even reboot):

=> Same old bad unscaled icon.


Looking at the other theme files lurking around, I found that kdeclassic, which works, have "inherits=default" but that is not the solution either, I tried on Oxygen.


So, with all due respect, I do not concur that this bug is closed, since the fix doesn't fix things. If I should move it elsewhere 'cause it is a bug but reported at the wrong place, please quote so. With a little link maybe?

Thanks,
Jean-Philippe.
Comment 10 Bastien Nocera 2009-01-06 06:18:02 EST
Feel free to file separate bugs against the icon theme that are causing problems. gnome-settings-daemon only use gtk_image_set_from_icon_name() with the size GTK_ICON_SIZE_DIALOG, looking for audio-volume-* icons.
Comment 11 Jean-Philippe 2009-01-06 07:09:42 EST
I kind of can't escape the feeling of being at the wrong desk at the post office, in front of a 50-ish hair-coloured lady busy doing her knitting... In a foreign country where I don't speak the language.

So much for _my_ time then.

I have a laptop that looks shit to the outside world; would the community-spirit answer be "Hey, that's a Fedora install, we can't ship that! I'll pass the info along, and since I am getting paid and not you, I will even take care that it actually get fixed"?

Never, ever.

CLOSED - NOTABUG said the lady. Next please!
Comment 12 Bastien Nocera 2009-01-06 08:13:04 EST
It's not a bug in gnome-settings-daemon, the part of the system that provides the volume popup. It's a bug in an icon theme that Fedora doesn't ship, and in two of the icon themes shipped by Fedora. Since the original problem is not in a Fedora package, I can't move the bug. And since there's 2 icon themes that are shipped by Fedora that show this problem, one bug won't do.

Use the "Clone this bug" link at the top right of the page, and select the icon themes against which you want to file the bug.
Comment 13 Ray Strode [halfline] 2009-01-06 12:34:11 EST
Jean-Philippe, to be clear, the icon names are standardized as part of the icon naming specification.

that spec is here:

http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html#names

If an icon theme doesn't provide those names at a minimum then it is incomplete and needs to be fixed.

The real problem here I guess is that the "hicolor" theme (which all other themes have to inherit from) doesn't have complete coverage for the icon-naming spec.
Comment 14 Bug Zapper 2009-11-18 07:41:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 02:20:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.